Status: Resolved Start date: 11/25/2022
Priority: Normal % Done: 100%
Assignee: Alita Nandi

Category: Data inconsistency

Description

I'm trying to match children to their parent/responsible adult. To do this in the BHPS waves, | am using the variable rapid_bh.
However, when | try to match to respondents using the pid that is present in the rapid_bh variable, it doesn't match to anyone.

History

#1 - 11/28/2022 05:08 PM - Understanding Society User Support Team
- Status changed from New to Feedback

- % Done changed from 0 to 50

Could you plesae try using the PIDP instead of pid? Please let us know if that solves the problem.

Best wishes,
Understanding Society User Support Team

#2 - 11/28/2022 05:32 PM - Understanding Society User Support Team

- Private changed from Yes to No

#3 - 11/29/2022 01:23 PM - Esme Lilly

Hi yes, sorry | meant pidp, it doesn't match with any pidp. | can't seem to find the pid variable in any of the BHPS files to test if that matches.

#4 - 11/29/2022 04:49 PM - Understanding Society User Support Team

Dear Esme,

Sorry, pid and not pidp is the variable to use. The label for rapid_bh "X-wave person identifier of resp. adult" is ambiguous, it should clarify that the
X-wave person identifier is pid. | will pass on this information to the data team. The variable pid is in every BHPS indall file and so, you should be able
to match the children to their responsible adult using pid. | have checked this using pid and was able to match approx 3000-4000 children with the
responsible adult at each BHPS wave. Here is the Stata syntax | used to check this.

The global "dt" refers to the location of the downloaded data.

foreachwinabcdefghijklmnopqr{

qui {

use pid b'w'_rapid_bh using "$dt/bhps/b’w'_indall", clear

fre b'w'_rapid_bh

keep if b’w'_rapid_bh>0

1

di "w"

cou

d b'w'_rapid_bh

qui {

rename pid kpid

rename b’'w'_rapid_bh pid

save temp, replace

use pid b'w'_age using "$dt/bhps/b’w'_indall", clear

merge 1:m pid using temp

1

di"w"

cou if _m==3 // number of children's rapid_bh matches with pid of household members in indall
sub'w'_age if _m==3 // to check the age of the responsible adult

}

Best wishes,
Understanding Society User Support Team

#5 - 11/30/2023 12:28 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 50 to 100
